Show / Hide Table of Contents

# Struct Character

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Character

### Fields

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CompanionObject

##### Declaration

    public Companion*CompanionObject

##### Field Value

Type | Description
--- | ---
Companion* |

| Improve this Doc View Source

#### CompanionOwnerID

##### Declaration

    public uint CompanionOwnerID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CraftingPoints

##### Declaration

    public ushort CraftingPoints

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CurrentWorld

##### Declaration

    public ushort CurrentWorld

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CustomizeData

##### Declaration

    public byte *CustomizeData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### EquipSlotData

##### Declaration

    public byte *EquipSlotData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FreeCompanyTag

##### Declaration

    public byte *FreeCompanyTag

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GameObject

##### Declaration

    public GameObject GameObject

##### Field Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### GatheringPoints

##### Declaration

    public ushort GatheringPoints

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Health

##### Declaration

    public uint Health

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### HomeWorld

##### Declaration

    public ushort HomeWorld

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Icon

##### Declaration

    public byte Icon

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Level

##### Declaration

    public byte Level

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Mana

##### Declaration

    public uint Mana

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxCraftingPoints

##### Declaration

    public ushort MaxCraftingPoints

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaxGatheringPoints

##### Declaration

    public ushort MaxGatheringPoints

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaxHealth

##### Declaration

    public uint MaxHealth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxMana

##### Declaration

    public uint MaxMana

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NameID

##### Declaration

    public uint NameID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Omen

##### Declaration

    public void *Omen

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### PlayerTargetObjectID

##### Declaration

    public uint PlayerTargetObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ShieldValue

##### Declaration

    public byte ShieldValue

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StatusFlags

##### Declaration

    public byte StatusFlags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TargetObjectID

##### Declaration

    public uint TargetObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### GetTargetId()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3B C7 74 45")]
    public uint GetTargetId()

##### Returns

Type | Description
--- | ---
System.UInt32 |